| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
VideoFilterCollection Class Reference

The VideoFilterCollection class represents a collection of VideoFilter objects that can be individually accessed by index. More...

## Public Member Functions
Number | add (VideoFilter filter)
| Adds a VideoFilter object to the end of the video filter chain.
void | clear ()
| Removes all VideoFilter objects from the collection.
void | insert (Number index, VideoFilter filter)
| Inserts a new video filter in to the collection at the specified index.
VideoFilter | operator[] (Number i)
| Gets the VideoFilter object at the specified index.
void | removeAt (Number index)
| Removes the VideoFilter object at the specified index.

## Properties
Number | length
| Returns the number of VideoFilter objects in the collection.

## Detailed Description

The VideoFilterCollection class represents a collection of VideoFilter objects that can be individually accessed by index.

## Member Function Documentation

Number add | ( | VideoFilter | filter | ) |

Adds a VideoFilter object to the end of the video filter chain.

Returns
  Returns the index of the newly added VideoFilter in the collection.

Examples:
  TranscodeDirectory.admjs.